#
# spec file for package smssend (Version 2.9)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         smssend
Copyright:    GPL
Group:        Hardware/Mobil
Autoreqprov:  on
Version:      2.9
Release:      95
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-email2smssend.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      interface to internet SMS forwarding services
URL:          http://zekiller.skytech.org/smssend_menu_en.html

%description
smssend is a utility providing a command line interface to
the GSM Short Message Service (SMS) via internet gateways.
It requires an active internet connection (HTTP proxy is
suitable) and may require a registration for such gateways.
The program is quite configurable for other gateways than
provided, examples are included.

Keep in mind that these internet to SMS gateways may
not tolerate and may even forbid their use via scripts.

Authors:
--------
    Christophe 'Ze KiLleR' Calmejane <zekiller@skytech.org>

SuSE series: ap

%prep
%setup
%patch
libtoolize --force
%{suse_update_config}

%build
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
                --prefix=%{_prefix} \
                --infodir=%{_infodir} \
		--datadir=/usr/share \
 --disable-shared --enable-skyutils \
		--with-data-dir=/usr/share/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS COPYING NEWS  README AUTHORS
/usr/bin/smssend
/usr/bin/email2smssend
/usr/share/smssend/
/usr/share/man/man1/

%changelog -n smssend
* Fri May 24 2002 - mcihar@suse.cz
- fixed remote execution problem in email2smssend introduced by shell
  meta-characters
* Mon Jan 07 2002 - rvasice@suse.cz
- update to version 2.9
* Thu Aug 02 2001 - dan@suse.cz
- update to 2.7 version
- use bzip instead of gzip
* Mon Jun 11 2001 - pblaha@suse.cz
- add libtoolize --force for build
* Tue Mar 20 2001 - pblaha@suse.cz
- create this package for easy use SMS
